Package org.eclipse.birt.chart.model.attribute

# Interface FormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `DateFormatSpecifier`, `FractionNumberFormatSpecifier`, `JavaDateFormatSpecifier`, `JavaNumberFormatSpecifier`, `NumberFormatSpecifier`, `StringFormatSpecifier`

All Known Implementing Classes:
  `DateFormatSpecifierImpl`, `FormatSpecifierImpl`, `FractionNumberFormatSpecifierImpl`, `JavaDateFormatSpecifierImpl`, `JavaNumberFormatSpecifierImpl`, `NumberFormatSpecifierImpl`, `StringFormatSpecifierImpl`

public interface FormatSpecifier extends IChartObject
A representation of the model object 'Format Specifier'. FormatSpecifier specifies how to format the output text of a value.

See Also:
  - `AttributePackage.getFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`FormatSpecifier`
`copyInstance()`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### copyInstance

FormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`